Status page statistics

GET https://status.qoon.com/api/statistics/{status_page_id}
Parameters Details Description
start_date Optional String Start date in Y-m-d format. Defaults to 30 days ago if omitted.
end_date Optional String End date in Y-m-d format. Defaults to today if omitted.
type Optional String Allowed values: overview, entries, referrer_host, referrer_path, crawler, continent_code, country_code, region_name, city_name, timezone, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour, weekday, visitor_type, acquisition_channel
continent_code Optional String Available when: type = country_code
country_code Optional String Available when: type = region_name, city_name
region_name Optional String Available when: type = city_name
referrer_type Optional String Allowed values: all, ai, social_media, search_engines, other_websites Available when: type = referrer_host, referrer_path
crawler_type Optional String Allowed values: all, ai, search_engines Available when: type = crawler
utm_source Optional String Available when: type = utm_medium, utm_campaign
utm_medium Optional String Available when: type = utm_campaign
referrer_host Optional String Available when: type = referrer_path
order_by Optional String What field to order the results by. Allowed values are: id, datetime. Available when: type = entries
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. Available when: type = entries
page Optional Integer The page number that you want results from. Defaults to 1. Available when: type = entries
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. Available when: type = entries
curl --request GET \
--url 'https://status.qoon.com/api/statistics/{status_page_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ]
}